MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031332Open CASCADE[OCCT] OCCT:Data Exchangepublic2020-01-29 20:502020-02-01 21:47
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.4.0 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0031332: Data Exchange - RWGltf_CafReader ignores bufferView.byteStride within glTF 2.0
DescriptionbyteStride parameter has been moved from accessor to bufferView, which has been overlooked by RWGltf_GltfJsonParser implementation after upgrading parser from glTF 1.0 to glTF 2.0.
TagsNo tags attached.
Test case numberde_mesh/gltf_read/boxinterleaved
Attached Files? file icon bug31332_BoxInterleaved.gltf (3,724 bytes) 2020-01-29 20:53

- Relationships
related to 0031333verifiedbugmaster Data Exchange - RWGltf_TriangulationReader::readBuffer() fails to read interleaved buffer at the end of file 
child of 0030691closedbugmaster Data Exchange - implement import of mesh data from files in glTF format 

-  Notes
(0090171)
git (administrator)
2020-01-29 21:12

Branch CR31332 has been created by kgv.

SHA-1: 0ddc9860ed8b5fa31b274c81c1b765a1fd5af29d


Detailed log of new commits:

Author: kgv
Date: Wed Jan 29 20:48:24 2020 +0300

    0031332: Data Exchange - RWGltf_CafReader ignores bufferView.byteStride within glTF 2.0
    
    RWGltf_GltfJsonParser::gltfParseBufferView() now reads byteStride parameter within bufferView.
(0090173)
kgv (developer)
2020-01-29 22:58

Please raise the patch.
(0090240)
bugmaster (administrator)
2020-01-31 17:36

Combination -
OCCT branch : CR31332
master SHA - 0ddc9860ed8b5fa31b274c81c1b765a1fd5af29d
fe4497f3246e6bc1ced97ac331c148f0809ded15
Products branch : master SHA - 78d1418219e11e1effe871d7f2886b736d7b8bdf
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17033.52000000009 / 17032.770000000073 [+0.00%]
Products
Total CPU difference: 12131.860000000102 / 12148.700000000104 [-0.14%]
Windows-64-VC14:
OCCT
Total CPU difference: 18491.96875 / 18461.609375 [+0.16%]
Products
Total CPU difference: 14246.1875 / 14126.28125 [+0.85%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0090262)
git (administrator)
2020-02-01 21:47

Branch CR31332 has been deleted by inv.

SHA-1: 0ddc9860ed8b5fa31b274c81c1b765a1fd5af29d

- Related Changesets
occt: master 8811d6f2
Timestamp: 2020-01-29 17:48:24
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031332: Data Exchange - RWGltf_CafReader ignores bufferView.byteStride within glTF 2.0

RWGltf_GltfJsonParser::gltfParseBufferView() now reads byteStride parameter within bufferView.
mod - src/RWGltf/RWGltf_GltfJsonParser.cxx Diff ] File ]
add - tests/de_mesh/gltf_read/boxinterleaved Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-01-29 20:50 kgv New Issue
2020-01-29 20:50 kgv Assigned To => kgv
2020-01-29 20:53 kgv File Added: bug31332_BoxInterleaved.gltf
2020-01-29 21:12 git Note Added: 0090171
2020-01-29 21:21 kgv Relationship added related to 0031333
2020-01-29 21:21 kgv Relationship added child of 0030691
2020-01-29 22:58 kgv Note Added: 0090173
2020-01-29 22:58 kgv Assigned To kgv => bugmaster
2020-01-29 22:58 kgv Status new => resolved
2020-01-29 22:58 kgv Status resolved => reviewed
2020-01-29 22:58 kgv Severity minor => trivial
2020-01-29 22:59 kgv Description Updated View Revisions
2020-01-30 19:00 bugmaster Test case number => de_mesh/gltf_read/boxinterleaved
2020-01-31 17:36 bugmaster Note Added: 0090240
2020-01-31 17:36 bugmaster Status reviewed => tested
2020-02-01 21:28 bugmaster Changeset attached => occt master 8811d6f2
2020-02-01 21:28 bugmaster Status tested => verified
2020-02-01 21:28 bugmaster Resolution open => fixed
2020-02-01 21:47 git Note Added: 0090262


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker